<launch>
  <arg name="bagname"/>
  <arg name="map_name" value="stata_aug_2015"/>

  <node name="rviz" pkg="rviz" type="rviz" args="-d $(find pcl_clustering)/config/map_filter_test.rviz"/>
  <node name="map_server_walls" pkg="map_server" type="map_server" args="$(find ford_ros)/maps/$(arg map_name)_walls_only.yaml" >
    <remap from="map" to="map_walls"/>
  </node>
  <node pkg="scan_to_cloud_converter" type="scan_to_cloud_converter_node" name="lidar_to_cloud" output="screen">
      <remap from="scan" to="scan_lower"/>
      <remap from="cloud" to="scan_lower_cloud"/>
  </node>
  <node pkg="pcl_clustering" type="map_filter_node" name="map_filter" output="screen">
    <remap from="~input" to="scan_lower_cloud"/>
    <remap from="~output" to="~filtered_cloud"/>
    <remap from="~map" to="map_walls"/>
    <param name="~map_frame" value="map"/>
    <!-- <param name="~publish_map_cloud" value="false"/> -->
    <param name="~publish_map_cloud" value="true"/>
    <param name="~passthough/flag" value="false"/>
    <param name="~diff_filter/flag" value="true"/>
    <param name="~diff_filter/octree_res" value="0.5"/>
    <param name="~downsample/flag" value="false"/>
    <param name="~downsample/leaf_size" value="0.15"/>
    <param name="~noise_remove/flag" value="true"/>
    <param name="~noise_remove/radius" value="0.5"/>
    <param name="~noise_remove/min_neighbor" value="3"/>
  </node>

  <param name="use_sim_time" value="true"/>
  <node name="bag_player" pkg="rosbag" type="play" args="--clock $(arg bagname) --start 150"/>
</launch>